## pcsc-lite 1.8.24

=== debian/changelog ===
pcsc-lite (1.8.24-1+devuan1) unstable; urgency=medium

  * Merge debian/1.8.24-1.
  * Change maintenance to Devuan developers list.
  * Update Vcs-fields.
  * Add debian-tag to d.gbp.conf.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Dec 2019 11:57:42 +0000

pcsc-lite (1.8.24-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ludovic Rousseau ]
  * new upstream version
  * d/watch: the project moved to https://pcsclite.apdu.fr/files/
  * d/patchs/0001-Add-documentation-to-the-systemd-file.patch removed since
    the fix is now upstream
  * d/pcscd.docs: DRIVERS is no more provided by upstream
  * d/control: remove libpcsclite1-dbg since it is now autogenerated
  * d/control: Standards-Version: 3.9.8 -> 4.2.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Oct 2018 14:19:52 +0200

pcsc-lite (1.8.23-3) unstable; urgency=medium

  * Fix "missing multi-arch bits" by adding Multi-Arch: foreign"
    (Closes: #896987)
  * d/control: fix lintian warning: binary-control-field-duplicates-source
    field "priority" in package libpcsclite1-dbg

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 08 May 2018 22:21:38 +0200

pcsc-lite (1.8.23-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Update Homepage
  * d/control: remove Build-Depends: dh-autoreconf. Fix lintian:
    W: pcsc-lite source: useless-autoreconf-build-depends dh-autoreconf
  * d/control: change priority of libpcsclite1-dbg from extra to optional
    W: libpcsclite1-dbg: priority-extra-is-replaced-by-priority-optional
  * d/control: remove Build-Depends: dh-systemd (>= 1.4)
    W: pcsc-lite source: build-depends-on-obsolete-package build-depends:
    dh-systemd (>= 1.4) => use debhelper (>= 9.20160709)
  * Update debian/compat from 10 to 11

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2018 23:30:24 +0100

pcsc-lite (1.8.22-1+devuan2) unstable; urgency=medium

  * Devuan Ascii update to 1.8.22-1

 -- Ivan J. <parazyd@dyne.org>  Tue, 05 Jan 2018 15:00:00 +0200

=== debian/control ===
Source: pcsc-lite
Section: misc
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 11), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.2.1
Vcs-Git: https://git.devuan.org/devuan-packages/pcsc-lite.git
Vcs-Browser: https://git.devuan.org/devuan-packages/pcsc-lite
Homepage: https://pcsclite.apdu.fr/

Package: pcscd
Architecture: any
Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
Multi-Arch: foreign
Description: Middleware to access a smart card using PC/SC (daemon side)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 The PC/SC daemon is used to dynamically allocate/deallocate reader
 drivers at runtime and manage connections to the readers.

Package: libpcsclite-dev
Section: libdevel
Architecture: any
Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: python
Description: Middleware to access a smart card using PC/SC (development files)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 This package contains the files needed for compiling and linking
 an application that communicates to any reader available to the
 PC/SC daemon.
 .
 This package also contains the PC/SC spying library: libpcscspy.so
 See http://ludovicrousseau.blogspot.com/2011/11/pcsc-api-spy-third-try.html

Package: libpcsclite1
Section: libs
Architecture: any
Breaks: libpcsclite-dev (<< ${binary:Version}), pcscd (<< ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Suggests: pcscd (= ${binary:Version})
Description: Middleware to access a smart card using PC/SC (library)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smartcards and
 readers.
 .
 The PC/SC Lite library is used to connect to the PC/SC daemon from
 a client application and provide access to the desired reader.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --disable-libsystemd --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

## pcsc-lite 1.8.25

=== debian/changelog ===
pcsc-lite (1.8.25-2ubuntu1) eoan; urgency=medium

  * Resynchronize on Debian, remaining change:
    - Switch pcsc-spy to python3.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:25:26 +0200

pcsc-lite (1.8.25-2) unstable; urgency=medium

  * rebuild for source only upload

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 04 Aug 2019 17:37:04 +0200

pcsc-lite (1.8.25-1) unstable; urgency=medium

  * new upstream version
  * Fix "socket activation masks socket" with the new upstream version
    (Closes: #924914)
  * d/upstream/signing-key.asc: use a minimal signing key
  * d/control: Standards-Version: 4.2.1 -> 4.3.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 25 Mar 2019 21:20:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
-Build-Depends: debhelper (>= 11), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-packages/pcsc-lite.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/pcsc-lite
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 11), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
+Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
+Suggests: systemd
 Multi-Arch: foreign
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
@@ -26,7 +27,7 @@
 Architecture: any
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: python
+Recommends: python3
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and

## pcsc-lite 1.8.26

=== debian/changelog ===
pcsc-lite (1.8.26-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Use an approach that is more Debian friendly for excluding pcscd on i386
    Closes: #948402

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Jan 2020 12:40:45 +0100

pcsc-lite (1.8.26-2) unstable; urgency=medium

  * d/rules: use /run instead of (deprecated) /var/run
  * d/control: add Pre-Depends: ${misc:Pre-Depends}. Fix lintian warnings:
    skip-systemd-native-flag-missing-pre-depends postinst:12
    skip-systemd-native-flag-missing-pre-depends prerm:10

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 08 Jan 2020 22:25:10 +0100

pcsc-lite (1.8.26-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.3.0 -> 4.4.1. No change needed.
  * d/control: use debhelper-compat = 12
  * d/control: add Rules-Requires-Root: no
  * Fix "Enable reader name filter in pcscd" enabled by default upstream
    (Closes: #947883)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 Jan 2020 18:01:22 +0100

pcsc-lite (1.8.25-3) unstable; urgency=medium

  * Fix "Python2 removal in sid/bullseye". Use python3 for pcsc-spy
    (Closes: #945721)
  * d/libpcsclite1.symbols: add Build-Depends-Package:libpcsclite-dev
    Fix lintian warning symbols-file-missing-build-depends-package-field
  * d/libpcsclite-dev.symbols: add Build-Depends-Package:libpcsclite-dev
    Fix lintian warning symbols-file-missing-build-depends-package-field

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 30 Nov 2019 18:15:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 11), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
-Standards-Version: 4.3.0
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper-compat (= 12), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
@@ -14,6 +14,7 @@
 Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
 Suggests: systemd
 Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and

## pcsc-lite 1.9.0

=== debian/changelog ===
pcsc-lite (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.4.1 -> 4.5.0. No change needed.
  * d/control: Use uild-Depends: debhelper-compat (= 13)
    pcsc-lite source: package-uses-old-debhelper-compat-version 12
  * pcscd: also install README.polkit
  * d/not-installed: list files installed but not packaged
    dh_missing: warning: usr/share/doc/pcsc-lite/README.DAEMON exists in
    debian/tmp but is not installed to anywhere
    dh_missing: warning: usr/lib/x86_64-linux-gnu/libpcsclite.la exists
    in debian/tmp but is not installed to anywhere
    dh_missing: warning: usr/lib/x86_64-linux-gnu/libpcscspy.so exists
    in debian/tmp but is not installed to anywhere
    dh_missing: warning: usr/lib/x86_64-linux-gnu/libpcscspy.la exists in
    debian/tmp but is not installed to anywhere

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 14 Jun 2020 16:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 12), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite

## pcsc-lite 1.9.1

=== debian/changelog ===
pcsc-lite (1.9.1-1~bpo10+1devuan1) beowulf-backports; urgency=medium

  * Merge 1.9.1-1.
  * Target beowulf-backports.
  * Debhelper compat 12.
  * d/control:
    - add Origin: Devuan.
    - update Vcs-* following gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Feb 2022 18:35:17 +0000

pcsc-lite (1.9.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libpcsclite-dev: Add Multi-Arch: same.

  [ Ludovic Rousseau ]
  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 16 Feb 2021 17:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
+Build-Depends: debhelper-compat (= 12), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
-Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
+Origin: Devuan
+Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
+Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
-Suggests: systemd
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)
@@ -29,6 +30,7 @@
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: python3
+Multi-Arch: same
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --disable-libsystemd --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)
+	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --disable-libsystemd --enable-usbdropdir=/usr/lib/pcsc/drivers --enable-ipcdir=/run/pcscd $(shell dpkg-buildflags --export=configure)

## pcsc-lite 1.9.3

=== debian/changelog ===
pcsc-lite (1.9.3-2) unstable; urgency=medium

  * Fix "legacy conffiles leftover" remove the file on upgrade
    (Closes: #990154)
  * Fix "Please allow blacklisting a particular card reader"
    allow to define PCSCLITE_FILTER_IGNORE_READER_NAMES= in /etc/default/pcscd
    (Closes: #992785)

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 23 Aug 2021 19:00:49 +0200

pcsc-lite (1.9.3-1) experimental; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Aug 2021 22:20:34 +0200

pcsc-lite (1.9.2-1) experimental; urgency=medium

  * new upstream release
  * d/patches/01_python3: remove since applied upstream
  * d/control: Build-Depends: autoconf-archive
  * d/control: Standards-Version: 4.5.0 -> 4.5.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 03 Aug 2021 22:14:32 +0200

## pcsc-lite 1.9.5

=== debian/changelog ===
pcsc-lite (1.9.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + pcscd: Drop versioned constraint on libccid and lsb-base in Depends.

  [ Ludovic Rousseau ]
  * d/copyright: fix lintian warning: superfluous-file-pattern
    W: pcsc-lite source: superfluous-file-pattern debian/copyright
    simclist.[ch] (Files, line 77)
  * d/copyright: fix lintian warning: superfluous-file-pattern
    W: pcsc-lite source: superfluous-file-pattern debian/copyright
    src/sd-daemon.[ch] (Files, line 39)
  * d/copyright: fix lintian warning: superfluous-file-pattern
    W: pcsc-lite source: superfluous-file-pattern debian/copyright
    src/strlcpy.c (Files, line 62)
  * d/control: Standards-Version: 4.5.1 -> 4.6.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 18 Feb 2022 12:00:37 +0100

pcsc-lite (1.9.5-2) unstable; urgency=medium

  * Fix "debian/copyright contains links to Alioth" by updating URLs
    (Closes: #1001325)
  * d/pcscd.postinst: removed as pcscd is already automatically restarted.
    Thanks to Uwe Kleine-König for the notice in #1001155.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 10 Dec 2021 14:10:22 +0100

pcsc-lite (1.9.5-1) unstable; urgency=medium

  * Fix "socket /run/pcscd/pcscd.comm immediately removed upon start"
    d/pcscd.postinst: restart pcscd on install (Closes: #995814)
  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Dec 2021 13:38:46 +0100

pcsc-lite (1.9.4-1) unstable; urgency=medium

  * d/upstream/metadata: add DEP12/UMEGAYA file
  * new upstream release
  * d/rules: install systemd-service file in /usr/lib/systemd/system

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 01 Oct 2021 18:51:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
-Build-Depends: debhelper-compat (= 12), flex, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), libsystemd-dev
-Standards-Version: 4.5.0
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: autoconf-archive,
+	debhelper-compat (= 13),
+	flex,
+	libsystemd-dev,
+	libudev-dev [linux-any],
+	libusb2-dev [kfreebsd-any],
+	pkg-config
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Origin: Devuan
-Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
-Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
+Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
+Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
-Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
+Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base, libpcsclite1 (= ${binary:Version})
+Suggests: systemd
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) \
		--with-systemdsystemunitdir=/usr/lib/systemd/system \
		--enable-usbdropdir=/usr/lib/pcsc/drivers \
		--enable-ipcdir=/run/pcscd \
		$(shell dpkg-buildflags --export=configure)

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Npcscd
endif

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## pcsc-lite 1.9.9

=== debian/changelog ===
pcsc-lite (1.9.9-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.9-2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 11 Apr 2023 21:40:31 +0100

pcsc-lite (1.9.9-2) unstable; urgency=medium

  * Fix "dh_installsystemd doesn't handle files in
    /usr/lib/systemd/system" (Closes: #1034209)
  * d/control: remove lsb-base dependency and fix lintian error

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 11 Apr 2023 19:15:00 +0200

pcsc-lite (1.9.9-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.9-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 12 Sep 2022 07:06:22 +0100

pcsc-lite (1.9.9-1) unstable; urgency=medium

  * new upstream release
  * d/pcscd.init: use "grep -E" instead of deprecated "egrep"
   Closes: #1019322
  * d/control: Standards-Version: 4.6.0 -> 4.6.1. No change needed.
  * d/copyright: fix match for simclist
  * d/copyright: update Copyright dates

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 11 Sep 2022 16:43:51 +0200

pcsc-lite (1.9.8-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.8-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 12 Jun 2022 09:40:06 +0100

pcsc-lite (1.9.8-1) unstable; urgency=medium

  * new upstream release
  * include install_spy.sh & uninstall_spy.sh scripts in the libpcsclite-dev
    package

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 Jun 2022 11:04:57 +0200

pcsc-lite (1.9.7-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.7-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 15 May 2022 15:05:54 +0100

pcsc-lite (1.9.7-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 13 May 2022 13:14:55 +0200

pcsc-lite (1.9.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 12 May 2022 08:14:36 +0100

pcsc-lite (1.9.6-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 11 May 2022 17:38:54 +0200

pcsc-lite (1.9.5-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.9.5-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Feb 2022 09:48:04 +0000

pcsc-lite (1.9.5-1+devuan1) unstable; urgency=medium

  * Merge debian/1.9.5-1

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 20 Dec 2021 16:31:48 +0000

pcsc-lite (1.9.4-1+devuan1) unstable; urgency=medium

  * Merge debian/1.9.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Oct 2021 14:47:14 +0100

pcsc-lite (1.9.1-1+devuan1) unstable; urgency=medium

  * Merge debian/1.9.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 02 Mar 2021 10:46:52 +0000

pcsc-lite (1.9.0-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.9.0-1.
  * d/control: update Vcs-* fields for gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 17 Jun 2020 17:19:41 +0100

pcsc-lite (1.8.26-3+devuan1) unstable; urgency=medium

  * Merge Debian 1.8.26-3.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 23 Apr 2020 16:33:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
 Build-Depends: autoconf-archive,
 	debhelper-compat (= 13),
 	flex,
-	libsystemd-dev,
 	libudev-dev [linux-any],
 	libusb2-dev [kfreebsd-any],
 	pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
-Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
+Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
+Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
+Origin: Devuan
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
-Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base, libpcsclite1 (= ${binary:Version})
-Suggests: systemd
+Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version})
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) \
-		--with-systemdsystemunitdir=/usr/lib/systemd/system \
+		--disable-libsystemd \
 		--enable-usbdropdir=/usr/lib/pcsc/drivers \
 		--enable-ipcdir=/run/pcscd \
 		$(shell dpkg-buildflags --export=configure)

## pcsc-lite 2.0.0

=== debian/changelog ===
pcsc-lite (2.0.0-1) unstable; urgency=medium

  * new upstream release
  * Fix "Multiarch doesn't work for libpcsclite-dev (needed by current
    wine git)": lower libpcsclite-dev dependency on pyton3 (Closes: #1035627)
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed.
  * d/copyright: update-debian-copyright 2022 vs 2023

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 09 Jun 2023 17:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: autoconf-archive,
 	debhelper-compat (= 13),
 	flex,
+	libsystemd-dev,
 	libudev-dev [linux-any],
 	libusb2-dev [kfreebsd-any],
 	pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
-Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
+Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version})
+Suggests: systemd
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)
@@ -34,7 +34,7 @@
 Architecture: any
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: python3
+Suggests: python3
 Multi-Arch: same
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface

## pcsc-lite 2.0.1

=== debian/changelog ===
pcsc-lite (2.0.1-1) unstable; urgency=medium

  * new upstream release
  * d/control: Build-Depends: libpolkit-gobject-1-dev
  * d/pcscd: install polkit config file

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 24 Nov 2023 17:43:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: autoconf-archive,
 	debhelper-compat (= 13),
 	flex,
+	libpolkit-gobject-1-dev,
 	libsystemd-dev,
 	libudev-dev [linux-any],
 	libusb2-dev [kfreebsd-any],

## pcsc-lite 2.0.3

=== debian/changelog ===
pcsc-lite (2.0.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:30 +0000

pcsc-lite (2.0.3-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Mar 2024 18:45:42 +0100

pcsc-lite (2.0.2-1) unstable; urgency=medium

  * new upstream release
  * Fix "The i386 libpcsclite-dev 2.0.1-1+b1 package conflicts with the
    amd64 one" with upstream patch (Closes: #1064636)
  * d/control: Build-Depends on pkgconf
  * d/copyright: update copyright year

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Mar 2024 14:45:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: autoconf-archive,
 	debhelper-compat (= 13),
 	flex,
@@ -9,7 +10,7 @@
 	libsystemd-dev,
 	libudev-dev [linux-any],
 	libusb2-dev [kfreebsd-any],
-	pkg-config
+	pkgconf
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) \
-		--disable-libsystemd \
+		--with-systemdsystemunitdir=/lib/systemd/system \
 		--enable-usbdropdir=/usr/lib/pcsc/drivers \
 		--enable-ipcdir=/run/pcscd \
 		$(shell dpkg-buildflags --export=configure)

## pcsc-lite 2.2.3

=== meson_options.txt ===
option('libsystemd',
  type : 'boolean',
  description : 'Use systemd for daemon auto start')

option('libudev',
  type : 'boolean',
  description : 'Use libudev (preferred) for USB hotplug')

option('libusb',
  type : 'boolean',
  value : false,
  description : 'Use libusb for USB hotplug')

option('polkit',
  type : 'boolean',
  description : 'Use polkit to enforce access control')

option('usb',
  type : 'boolean',
  description : 'Support USB readers')

option('serial',
  type : 'boolean',
  description : 'Support serial readers')

option('serialconfdir',
  type : 'string',
  value : '/etc/reader.conf.d',
  description : 'Path for serial configuration files')

option('usbdropdir',
  type : 'string',
  value : '/usr/lib/pcsc/drivers',
  description : 'Path for USB drivers')

option('ipcdir',
  type : 'string',
  value : '/run/pcscd',
  description : 'Direcrory for pcsc-lite internal communication socket')

option('systemdunit',
  type : 'combo',
  choices : ['user', 'system'],
  value : 'user',
  description : 'Systemd unit directory to use')

option('embedded',
  type : 'boolean',
  value : 'false',
  description : 'for embedded systems [limit RAM and CPU resources by disabling features (log)]')

option('filter_names',
  type : 'boolean',
  value : 'true',
  description : 'reader filtering using PCSCLITE_FILTER_IGNORE_READER_NAMES and PCSCLITE_FILTER_EXTEND_READER_NAMES')

=== debian/changelog ===
pcsc-lite (2.2.3-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 May 2024 17:17:22 +0200

pcsc-lite (2.2.2-1) unstable; urgency=medium

  * new upstream release
  * d/control: Build-Depends on systemd-dev
  * d/pcscd.manpages; re-add reader.conf.5

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 20 May 2024 18:04:19 +0200

pcsc-lite (2.2.1-1) unstable; urgency=medium

  * new upstream release
  * d/rules: no need to specify --sbindir anymore

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 08 May 2024 12:13:57 +0200

pcsc-lite (2.2.0-1) unstable; urgency=medium

  * new upstream release
  * Switch from autoconf/automake to meson
  * d/control: remove autoconf-archive and add meson & sustemd
  * d/rules: remove configure.ac & Makefile.am to use meson

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 May 2024 16:15:19 +0200

pcsc-lite (2.1.0-1) experimental; urgency=medium

  * new upstream release
  * d/libpcsclite-dev.docs: spy setup script is now setup_spy.sh
  * Install libpcsclite_real.1.*
  * d/libpcsclite-dev.symbols: update symbol list

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Apr 2024 14:06:53 +0200

## pcsc-lite 2.3.0

=== debian/changelog ===
pcsc-lite (2.3.0-1) unstable; urgency=medium

  * new upstream release
  * Fix "Add Appstream metainfo announcing HW support" (Closes: #1076439)
  * d/pcscd.install: install metainfo.xml file
  * d/copyright: metainfo.xml file uses MIT license

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 03 Aug 2024 17:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: autoconf-archive,
-	debhelper-compat (= 13),
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper-compat (= 13),
 	flex,
 	libpolkit-gobject-1-dev,
 	libsystemd-dev,
 	libudev-dev [linux-any],
 	libusb2-dev [kfreebsd-any],
-	pkgconf
+	meson,
+	pkgconf,
+	systemd-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += -Dusb=false
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	rm configure.ac Makefile.am

override_dh_auto_configure:
	dh_auto_configure -- -Dsystemdunit=system
	meson configure

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Npcscd
endif

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## pcsc-lite 2.3.1

=== debian/changelog ===
pcsc-lite (2.3.1-1) unstable; urgency=medium

  * new upstream release
  * Install /etc/default/pcscd in pcscd package
  * d/not-installed: add libpcsclite.a
  * d/control: remove redundant dh-runit
  * Fix "restored initscript would be helpful" by applying salsa
    merge-requests (Closes: #1090333)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 24 Dec 2024 11:32:34 +0100

pcsc-lite (2.3.0-3) unstable; urgency=medium

  * d/pcscd.maintscript: remove conffile /etc/init.d/pcscd
  * Fix "leftover conffiles" by above change (Closes: #1086440)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Nov 2024 18:38:38 +0100

pcsc-lite (2.3.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Make pcsc-lite build again on non-Linux architectures:
    - add the dh-exec build dependency, needed for architecture filtering
      in install files
    - restrict the libsystemd-dev build dependency to Linux
    - drop the libusb2-dev build dependency, specific to the discontinued
      kFreeBSD architectures
    - add the libusb-1.0-0-dev build dependency for libusb support on
      non-Linux architectures
    - limit the runtime systemd suggest to Linux
    - explicitly enable libudev, and libsystemd on Linux architectures,
      disabling libusb; on non-Linux architectures do the exact opposite
      (libudev, and libsystemd off, and libusb on)
    - pass -Dsystemdunit to meson only on Linux, useless otherwise
    - d/pcscd.install: install systemd files only on Linux
  * Use /usr/share/dpkg/architecture.mk instead of manual queries
  * d/rules: drop redundant "meson configure" call

  [ Ludovic Rousseau ]
  * d/control: Standards-Version: 4.6.2 -> 4.7.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Oct 2024 22:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	dh-exec,
+	dh-sequence-runit,
 	flex,
 	libpolkit-gobject-1-dev,
-	libsystemd-dev,
+	libsystemd-dev [linux-any],
 	libudev-dev [linux-any],
-	libusb2-dev [kfreebsd-any],
+	libusb-1.0-0-dev [!linux-any],
 	meson,
 	pkgconf,
 	systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
@@ -20,7 +22,7 @@
 Package: pcscd
 Architecture: any
 Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version})
-Suggests: systemd
+Suggests: systemd [linux-any]
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

## pcsc-lite 2.3.2

=== debian/changelog ===
pcsc-lite (2.3.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Mar 2025 20:55:32 +0000

pcsc-lite (2.3.2-1) unstable; urgency=medium

  * new upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 26 Mar 2025 16:09:18 +0100

pcsc-lite (2.3.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 24 Dec 2024 17:41:11 +0000

pcsc-lite (2.3.0-3devuan2) unstable; urgency=medium

  * Restore initscript removed in 2.2.0-1. (Closes: #868)

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Dec 2024 07:27:17 +0000

pcsc-lite (2.3.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.0-3.
  * Revert "d/pcscd.maintscript: remove conffile /etc/init.d/pcscd"

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 03 Nov 2024 21:10:21 +0000

pcsc-lite (2.3.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Oct 2024 19:29:05 +0100

pcsc-lite (2.3.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 04 Aug 2024 16:39:15 +0100

pcsc-lite (2.2.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.2.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 27 May 2024 09:30:06 +0100

pcsc-lite (2.2.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.2.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 May 2024 07:43:24 +0100

pcsc-lite (2.2.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.2.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 08 May 2024 15:59:02 +0100

pcsc-lite (2.2.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.2.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 May 2024 22:11:28 +0100

pcsc-lite (2.0.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.0.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 05 Mar 2024 07:18:21 +0000

pcsc-lite (2.0.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.0.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 25 Nov 2023 08:56:40 +0000

pcsc-lite (2.0.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.0.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 10 Jun 2023 20:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
+Build-Depends:debhelper-compat (= 13),
 	dh-exec,
 	dh-sequence-runit,
 	flex,
 	libpolkit-gobject-1-dev,
-	libsystemd-dev [linux-any],
 	libudev-dev [linux-any],
 	libusb-1.0-0-dev [!linux-any],
 	meson,
 	pkgconf,
-	systemd-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
-Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
+Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
+Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
+Origin: Devuan
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version})
-Suggests: systemd [linux-any]
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

## pcsc-lite 2.3.3

=== debian/changelog ===
pcsc-lite (2.3.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 02 Apr 2025 17:31:53 +0100

pcsc-lite (2.3.3-1) unstable; urgency=medium

  * new upstream release
  * d/copyright: update date

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 02 Apr 2025 17:58:37 +0200

pcsc-lite (2.3.2-2devuan1) unstable; urgency=medium

  * Merge tag debian/2.3.2-2.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 31 Mar 2025 18:12:28 +0100

pcsc-lite (2.3.2-2) unstable; urgency=medium

  * Add Depends: polkitd for pcscd

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 31 Mar 2025 18:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: pcscd
 Architecture: any
-Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version})
+Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version}), polkitd
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
  EXTRA_CONFIGURE_ARGS += -Dlibudev=true -Dlibusb=false -Dlibsystemd=false -Dsystemdunit=system
else
  EXTRA_CONFIGURE_ARGS += -Dlibudev=false -Dlibusb=true -Dlibsystemd=false
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	rm configure.ac Makefile.am

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
	meson configure

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Npcscd
endif

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## pcsc-lite 2.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -46,10 +46,10 @@
 
 option('embedded',
   type : 'boolean',
-  value : 'false',
+  value : false,
   description : 'for embedded systems [limit RAM and CPU resources by disabling features (log)]')
 
 option('filter_names',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'reader filtering using PCSCLITE_FILTER_IGNORE_READER_NAMES and PCSCLITE_FILTER_EXTEND_READER_NAMES')

=== UnitaryTests/Makefile ===
OS := $(shell uname -s)
ifeq ("$(OS)", "Darwin")
	PCSC_CFLAGS := -framework PCSC
else
	PCSC_CFLAGS ?= $(shell pkg-config libpcsclite --cflags)
	PCSC_LDLIBS ?= $(shell pkg-config libpcsclite --libs)
endif

CFLAGS := -Wall -O2 -g -DVERSION=\"$(VERSION)\" $(PCSC_CFLAGS)
CPPFLAGS := $(CFLAGS)
LDLIBS := $(PCSC_LDLIBS)

PROGRAMS := SCardBeginTransaction \
	SCardCancel \
	BufferOverflow_SCardGetAttrib \
	BufferOverflow_SCardTransmit \
	BufferOverflow_SCardControl \
	exec

all: $(PROGRAMS)

clean:
	rm -f $(PROGRAMS)

=== debian/changelog ===
pcsc-lite (2.4.0-2) unstable; urgency=medium

  [ Andrew Bower ]
  * Rewrite initscript with init-d-script and hardening
  * Add hardening and pcscd user to runit service definition

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 31 Oct 2025 14:36:32 +0100

pcsc-lite (2.4.0-1) unstable; urgency=medium

  * new upstream release
  * d/rules: install pcscd user
  * d/not-installed: *.la are no more installed
  * d/control: Standards-Version: 4.7.0 -> 4.7.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 19 Oct 2025 15:26:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
-Build-Depends:debhelper-compat (= 13),
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper-compat (= 13),
 	dh-exec,
 	dh-sequence-runit,
 	flex,
 	libpolkit-gobject-1-dev,
+	libsystemd-dev [linux-any],
 	libudev-dev [linux-any],
 	libusb-1.0-0-dev [!linux-any],
 	meson,
 	pkgconf,
-Standards-Version: 4.7.0
+	systemd-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
-Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
+Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version}), polkitd
+Suggests: systemd [linux-any]
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
	https://pcsclite.apdu.fr/files/ \
	pcsc-lite-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## pcsc-lite 2.4.1

=== debian/changelog ===
pcsc-lite (2.4.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.4.1-1.
  * Reduce unnecessary delta wrt Debian.
  * Handle upstream change to install systemd units even when libsystemd
    is disabled.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 08 Jan 2026 08:09:04 +0000

pcsc-lite (2.4.1-1) unstable; urgency=medium

  * new upstream release
  * d/control: Remove Priority: field
  * d/control: remove Rules-Requires field
  * d/copyright: update date

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 07 Jan 2026 15:28:19 +0100

pcsc-lite (2.4.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/2.4.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 31 Oct 2025 14:41:58 +0000

pcsc-lite (2.4.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/2.4.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 20 Oct 2025 07:10:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: pcsc-lite
 Section: misc
-Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
+Build-Depends:debhelper-compat (= 13),
 	dh-exec,
 	dh-sequence-runit,
 	flex,
 	libpolkit-gobject-1-dev,
-	libsystemd-dev [linux-any],
 	libudev-dev [linux-any],
 	libusb-1.0-0-dev [!linux-any],
 	meson,
 	pkgconf,
-	systemd-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/pcsc-lite.git
-Vcs-Browser: https://salsa.debian.org/debian/pcsc-lite
+Standards-Version: 4.7.3
+Vcs-Git: https://git.devuan.org/devuan/pcsc-lite.git
+Vcs-Browser: https://git.devuan.org/devuan/pcsc-lite
+Origin: Devuan
 Homepage: https://pcsclite.apdu.fr/
 
 Package: pcscd
 Architecture: any
 Depends: libccid | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, libpcsclite1 (= ${binary:Version}), polkitd
-Suggests: systemd [linux-any]
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Description: Middleware to access a smart card using PC/SC (daemon side)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
  EXTRA_CONFIGURE_ARGS += -Dlibudev=true -Dlibusb=false -Dlibsystemd=false -Dsystemdunit=system
else
  EXTRA_CONFIGURE_ARGS += -Dlibudev=false -Dlibusb=true -Dlibsystemd=false -Dpolkit=false
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	rm configure.ac Makefile.am
	cp etc/pcscd-sysusers.conf debian/pcscd.sysusers

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Npcscd
endif

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

override_dh_auto_install:
	dh_auto_install
	# this is needed until dh compat 14
	dh_installsysusers
